.m-input {
	appearance: none;
	border-radius: 2px;
	size: 100% 40px;
	border: 1px solid;
	border-color: var(--color-border-light);
	background-color: transparent;
	outline: 0;
	padding: 0 16px;
	text: #333333 14px 14px;

	&--select {
		cursor: pointer;
		background-repeat: no-repeat;
		background-position: 90% center;
		background-image: url('data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAFCAYAAAB8ZH1oAAAALklEQVQImWNgYGBoYGBg+E8ANzBAQRMeRXUMaKAFi6IadEXYFFfhUgQDbdgUAQAH3BjrdIlkcgAAAABJRU5ErkJggg==');

		@media (--mobile) {
			background-position: 95% center;
		}
	}
}

.m-radio-input {
	display: none;
}

.m-radio-label {
	cursor: pointer;
	display: block;
	size: 100% 40px;
	overflow: hidden;
	border-radius: 2px;
	border: 1px solid #dcdcdc;
	text: #a9a9a9 800 center 14px 38px nowrap;
	margin-bottom: 30px;
	transition: border-color .3s ease 0s, color .3s ease 0s;

	@media (--mobile) {
		margin-bottom: 0;
	}
}

.m-radio-input:checked + .m-radio-label {
	border-color: #2893e0;
	color: #2893e0;
}
